Bug 1031353 - CpuOverCommitDuration not working correctly in cluster policies
CpuOverCommitDuration not working correctly in cluster policies
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.3.0
Assigned To: Gilad Chaplik
Artyom
sla
:
Depends On:
Blocks: 3.3rc1
  Show dependency treegraph
 
Reported: 2013-11-17 01:25 EST by Artyom
Modified: 2016-02-10 15:14 EST (History)
8 users (show)

See Also:
Fixed In Version: is28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine and vdsm log (20.41 KB, application/zip)
2013-11-17 01:26 EST, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 22176 None None None Never
oVirt gerrit 22350 None None None Never

  None (edit)
Description Artyom 2013-11-17 01:25:08 EST
Description of problem:
CpuOverCommitDuration not working correct in cluster policies, also for Power_Saving and also for Even_Distribution policies, it's mean that if I have host with vm, that CPU of host out of define thresholds and I also have host that CPU of host in given bounds, vm start migration without waiting given in CpuOverCommitDuration field time.

Version-Release number of selected component (if applicable):
is23

How reproducible:
Always

Steps to Reproduce:
1. Add two hosts to engine, add vm and run on one of host, change cluster policy
or to Power saving or to Even Distribution, I will describe reproduce process for Even Distribution, by default CpuOverCommitDuration is 2 min and HighUtilization on 80
2. Load host CPU with running vm to 85%(you also can try some script, to run infinitive loop) 

Actual results:
Engine not waiting two minutes, but begin migration to host without loading CPU much earlier.

Expected results:
engine waiting given CpuOverCommitDuration time and just after this start migration if it still actual.

Additional info:
whole process loading CPU and waiting until vm will migrate on other host, takes less than minute
Comment 1 Artyom 2013-11-17 01:26:13 EST
Created attachment 825069 [details]
engine and vdsm log
Comment 3 Artyom 2013-12-19 11:35:41 EST
Verified on is28, vm migrate after given time.
Comment 4 Itamar Heim 2014-01-21 17:26:30 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:29:55 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.